$!-----------------------------------------------------------------------------
$! INSTALL.COM
$! Simple procedure to copy files according to environment.
$!
$! 14-JAN-2000  MGD  add QDLOGSTATS, change destination for CSWS (Apache)
$! 20-APR-2000  MGD  add Apache
$! 01-AUG-1998  MGD  initial (for OSU)
$!-----------------------------------------------------------------------------
$ ARCH_NAME = F$GETSYI("ARCH_NAME")
$ IF ARCH_NAME .NES. "VAX" THEN ARCH_NAME = "AXP"
$ IF P1 .EQS. "OSU" THEN GOTO OSU
$ IF P1 .EQS. "APACHE" THEN GOTO APACHE
$ IF P1 .EQS. "OTHER" THEN GOTO OTHER
$ WRITE SYS$OUTPUT "USAGE: @INSTALL OSU|APACHE|OTHER"
$ EXIT
$!-----------------------------------------------------------------------------
$ OSU:
$! copy files from this directory to the scripting environment
$ COPY /PROT=W:RE *_'ARCH_NAME'.EXE WWW_ROOT:[BIN]
$ COPY /PROT=W:RE CALENDAR.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE CONAN.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE HYPERREADER.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE HYPERSHELF.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE HYPERSPI.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE QDLOGSTATS.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE QUERY.COM WWW_ROOT:[BIN]
$ COPY /PROT=W:RE EXTRACT.COM WWW_ROOT:[BIN]
$ EXIT
$!-----------------------------------------------------------------------------
$ APACHE:
$! copy files from this directory to the scripting environment
$ COPY /PROT=W:RE *_'ARCH_NAME'.EXE APACHE$COMMON:[CGI-BIN] -
       /EXCLUDE=CGISYM_'ARCH_NAME'.EXE
$ COPY /PROT=W:RE CALENDAR.COM APACHE$COMMON:[CGI-BIN]
$ COPY /PROT=W:RE CONAN.COM APACHE$COMMON:[CGI-BIN]
$ COPY /PROT=W:RE HYPERREADER.COM APACHE$COMMON:[CGI-BIN]
$ COPY /PROT=W:RE HYPERSHELF.COM APACHE$COMMON:[CGI-BIN]
$ COPY /PROT=W:RE HYPERSPI.COM APACHE$COMMON:[CGI-BIN]
$ COPY /PROT=W:RE QDLOGSTATS.COM APACHE$COMMON:[CGI-BIN]
$ COPY /PROT=W:RE QUERY.COM APACHE$COMMON:[CGI-BIN]
$ COPY /PROT=W:RE EXTRACT.COM APACHE$COMMON:[CGI-BIN]
$ EXIT
$!-----------------------------------------------------------------------------
$ OTHER:
$ IF P2 .NES. "" THEN GOTO OTHER_DOIT
$ WRITE SYS$OUTPUT "USAGE: @INSTALL OTHER [cgi-bin-dir]"
$ EXIT
$ OTHER_DOIT:
$ COPY /PROT=W:RE *_'ARCH_NAME'.EXE 'P2' /EXCLUDE=CGISYM_'ARCH_NAME'.EXE
$ EXIT
$!-----------------------------------------------------------------------------
